unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,GDIPAPI, GDIPOBJ;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
    last_pos: TPoint;
  hbmp: HBITMAP;
  backdc: HDC;
  graph: TGPGraphics;
  mat : TGPMatrix;

implementation


{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  img,img2: TGPBitmap;
  screendc: HDC;
  pt1, pt2 : TPoint;
  sz : TSize;
  bf : TBlendFunction;
begin
  //   .    .
  Self.BorderStyle := bsNone;
  //   
  if SetWindowLong(Handle, GWL_EXSTYLE, GetWindowLong(Handle, GWL_EXSTYLE) or
  WS_EX_LAYERED) = 0 then ShowMessage(SysErrorMessage(GetLastError));
  //  32- PNG       HBITMAP
  img := TGPBitmap.Create('set.png',True);
  graph:=TGPGraphics.Create(img2); //graph := graph.FromImage(img);
    graph.RotateTransform(45);
 raph.ResetTransform;
  graph.DrawImage(img,0,0,625,625);


  with img2 do begin
    GetHBITMAP(0,hbmp);
    Width := GetWidth;
    Height := GetHeight;
    Free;
  end;
  //   
  screendc := GetDC(0);
  //  ,   
  backdc := CreateCompatibleDC(screendc);
  //    
  SelectObject(backdc, hbmp);
  //  UpdateLayeredWindow
  pt1 := Point(Left, Top);
  pt2 := Point(0,0);
  sz.cx := Width;
  sz.cy := Height;
  with bf do begin
    BlendOp := AC_SRC_OVER;
    BlendFlags := 0;
    SourceConstantAlpha := $FF; //    
    AlphaFormat := AC_SRC_ALPHA;
  end;
  UpdateLayeredWindow(Handle, screendc, @pt1, @sz, backdc, @pt2,0, @bf,ULW_ALPHA);
  //   
  ReleaseDC(0,screendc);

end;

procedure TForm1.FormDblClick(Sender: TObject);
begin
Close;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DeleteObject(hbmp);
  DeleteDC(backdc);
end;

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 last_pos.X := X;
  last_pos.Y := Y;
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  cur_pos: TPoint;
begin
  if ssLeft in Shift then
  begin
    GetCursorPos(cur_pos);
    Left := cur_pos.X - last_pos.X;
    Top := cur_pos.Y - last_pos.Y;
  end;
end;

end.
